import * as EventEmitter from 'eventemitter3';
import { SoundSet } from '../menu/interfaces/sound-set';
import { Line } from './line';
export declare class ScrollingText extends EventEmitter {
    private text;
    private delimiter;
    private soundSet;
    private appearingCharacters;
    private characterAppearSpeed;
    private currentLineIndex;
    private currentLine;
    private lines;
    private wrapper;
    private container;
    private soundManager;
    private keyboardManager;
    constructor(text?: string, delimiter?: string, soundSet?: SoundSet, appearingCharacters?: boolean, characterAppearSpeed?: number);
    setText(text: string): this;
    setSoundSet(soundSet: SoundSet): this;
    setDelimiter(delimiter: string): this;
    setAppearingCharacters(appearing: boolean): this;
    setAppearingCharacterSpeed(speed: number): this;
    init(): void;
    run(element: HTMLElement): Promise<void>;
    displayLine(index: number): Promise<void>;
    getContainer(): HTMLElement;
    getCurrentLine(): Line;
}
